Shopping cart

close
Menu
close
Start typing to see products you are looking for.

3.x to 4.0 migration guide

3.x to 4.0 migration guide

Each update we are trying to improve our theme's performance and in the 4.0 version we reworked a huge part of our theme to reduce the number of required plugins. Starting from now, three plugins are no longer required: Redux Framework, CMB2 and YITH Wishlist. This step should reduce the number of potential conflicts, bugs and performance issues.

Please, read the following instruction to perform the update safely.

  1. Create a backup of the whole website and your database.
  2. Update the theme using any method described in our update tutorial.
  3. Go to the new Theme Settings panel and resave it.
  4. Uninstall Redux Framework and CMB2 plugins.
  5. Go to Settings -> Permalinks and resave them.
  6. Go to Dashboard -> WoodMart -> CSS generator and click on "Update" button if you are using the generated CSS.

You can still use YITH Wishlist plugin but we will not have any advanced options for it and don't recommend you to use it now. Our header widget and add to wishlist button on the shop page now work with our own Wishlist. You can find all its settings in Theme Settings -> Shop -> Wishlist.

This update was tested a lot but some issues may still occur. If you faced any problems, please, be patient and create a topic on our support forum with all the details. We will be very active on the forum these days to be sure that everything is correct and our new version is absolutely stable.

Scroll To Top